FMT(1)

NAME
fmt - simple text formatter

SYNOPSIS
fmt [-Cr] [ goal [maximum]] [name ...]
fmt [-Cr] [-g goal] [-m maximum] [-w maximum] [name ...]

DESCRIPTION
fmt is a simple text formatter which reads the concatenation of input files (or standard input if none are given) and produces on standard output a version of its input with lines as close to the goal length as possible without exceeding the maximum. The goal length defaults to 65 and the maximum to 75. The spacing at the beginning of the input lines is preserved in the output, as are blank lines and interword spacing. In non raw mode, lines that look like mail headers or begin with a period are not formatted.

-C  instructs fmt to center the text.

-g goal
    New way to set the goal length.

-m maximum
    New way to set the maximum length.

-w maximum
    New way to set the maximum length.

-r  Raw mode; formats all lines and does not make exceptions for lines that start with a period or look like mail headers.

fmt is meant to format mail messages prior to sending, but may also be useful for other simple tasks. For instance, within visual mode of the ex(1) editor (e.g., vi(1)) the command

    !}fmt

will reformat a paragraph, evening the lines.

SEE ALSO
mail(1), nroff(1)

HISTORY
The fmt command appeared in 3BSD.

BUGS
The program was designed to be simple and fast - for more complex operations, the standard text processors are likely to be more appropriate.